# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: loadmodule/loadmodule.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import uml_pb2 as uml__pb2
from google.protobuf import wrappers_pb2 as google_dot_protobuf_dot_wrappers__pb2
from commonmodule import commonmodule_pb2 as commonmodule_dot_commonmodule__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x1bloadmodule/loadmodule.proto\x12\nloadmodule\x1a\tuml.proto\x1a\x1egoogle/protobuf/wrappers.proto\x1a\x1f\x63ommonmodule/commonmodule.proto\"\xc5\x02\n\tLoadPoint\x12)\n\trampRates\x18\x01 \x01(\x0b\x32\x16.commonmodule.RampRate\x12<\n\x1areactivePwrSetPointEnabled\x18\x02 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12\x38\n\x16realPwrSetPointEnabled\x18\x03 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12\'\n\x05reset\x18\x04 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12/\n\x05state\x18\x05 \x01(\x0b\x32 .commonmodule.Optional_StateKind\x12;\n\tstartTime\x18\x06 \x01(\x0b\x32\x1e.commonmodule.ControlTimestampB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\":\n\x07LoadCSG\x12/\n\x06\x63rvPts\x18\x01 \x03(\x0b\x32\x15.loadmodule.LoadPointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"I\n\x17LoadControlScheduleFSCH\x12.\n\x07ValDCSG\x18\x01 \x01(\x0b\x32\x13.loadmodule.LoadCSGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\x8d\x01\n\x0fLoadControlFSCC\x12\x34\n\x0b\x63ontrolFSCC\x18\x01 \x01(\x0b\x32\x19.commonmodule.ControlFSCCB\x04\x80\xb5\x18\x01\x12\x44\n\x17loadControlScheduleFSCH\x18\x02 \x01(\x0b\x32#.loadmodule.LoadControlScheduleFSCH\"\xa9\x01\n\x0bLoadControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12\x34\n\x0floadControlFSCC\x18\x03 \x01(\x0b\x32\x1b.loadmodule.LoadControlFSCC\"\xd6\x01\n\x12LoadControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12>\n\x0e\x65nergyConsumer\x18\x02 \x01(\x0b\x32\x1c.commonmodule.EnergyConsumerB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x36\n\x0bloadControl\x18\x03 \x01(\x0b\x32\x17.loadmodule.LoadControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x8b\x02\n\x0fLoadPointStatus\x12)\n\trampRates\x18\x01 \x01(\x0b\x32\x16.commonmodule.RampRate\x12;\n\x1areactivePwrSetPointEnabled\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x37\n\x16realPwrSetPointEnabled\x18\x03 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12&\n\x05reset\x18\x04 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12/\n\x05state\x18\x05 \x01(\x0b\x32 .commonmodule.Optional_StateKind\"\x84\x02\n\x16LoadEventAndStatusZGLD\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12\x36\n\x0b\x44ynamicTest\x18\x02 \x01(\x0b\x32!.commonmodule.ENS_DynamicTestKind\x12(\n\x07\x45mgStop\x18\x03 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x30\n\x0bPointStatus\x18\x04 \x01(\x0b\x32\x1b.loadmodule.LoadPointStatus\"Y\n\rLoadEventZGLD\x12H\n\x16loadEventAndStatusZGLD\x18\x01 \x01(\x0b\x32\".loadmodule.LoadEventAndStatusZGLDB\x04\x80\xb5\x18\x01\"q\n\tLoadEvent\x12\x32\n\neventValue\x18\x01 \x01(\x0b\x32\x18.commonmodule.EventValueB\x04\x80\xb5\x18\x01\x12\x30\n\rloadEventZGLD\x18\x02 \x01(\x0b\x32\x19.loadmodule.LoadEventZGLD\"\xcc\x01\n\x10LoadEventProfile\x12>\n\x10\x65ventMessageInfo\x18\x01 \x01(\x0b\x32\x1e.commonmodule.EventMessageInfoB\x04\x80\xb5\x18\x01\x12>\n\x0e\x65nergyConsumer\x18\x02 \x01(\x0b\x32\x1c.commonmodule.EnergyConsumerB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x32\n\tloadEvent\x18\x03 \x01(\x0b\x32\x15.loadmodule.LoadEventB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xfd\x01\n\x0bLoadReading\x12\x62\n\"conductingEquipmentTerminalReading\x18\x01 \x01(\x0b\x32\x30.commonmodule.ConductingEquipmentTerminalReadingB\x04\x80\xb5\x18\x01\x12*\n\tphaseMMTN\x18\x02 \x01(\x0b\x32\x17.commonmodule.PhaseMMTN\x12.\n\x0breadingMMTR\x18\x03 \x01(\x0b\x32\x19.commonmodule.ReadingMMTR\x12.\n\x0breadingMMXU\x18\x04 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\"\xd6\x01\n\x12LoadReadingProfile\x12\x42\n\x12readingMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ReadingMessageInfoB\x04\x80\xb5\x18\x01\x12>\n\x0e\x65nergyConsumer\x18\x02 \x01(\x0b\x32\x1c.commonmodule.EnergyConsumerB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x36\n\x0bloadReading\x18\x03 \x01(\x0b\x32\x17.loadmodule.LoadReadingB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"Z\n\x0eLoadStatusZGLD\x12H\n\x16loadEventAndStatusZGLD\x18\x01 \x01(\x0b\x32\".loadmodule.LoadEventAndStatusZGLDB\x04\x80\xb5\x18\x01\"\xac\x01\n\nLoadStatus\x12\x34\n\x0bstatusValue\x18\x01 \x01(\x0b\x32\x19.commonmodule.StatusValueB\x04\x80\xb5\x18\x01\x12\x34\n\x10isUncontrollable\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x32\n\x0eloadStatusZGLD\x18\x03 \x01(\x0b\x32\x1a.loadmodule.LoadStatusZGLD\"\xd1\x01\n\x11LoadStatusProfile\x12@\n\x11statusMessageInfo\x18\x01 \x01(\x0b\x32\x1f.commonmodule.StatusMessageInfoB\x04\x80\xb5\x18\x01\x12>\n\x0e\x65nergyConsumer\x18\x02 \x01(\x0b\x32\x1c.commonmodule.EnergyConsumerB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x34\n\nloadStatus\x18\x03 \x01(\x0b\x32\x16.loadmodule.LoadStatusB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\x42~\n\x12openfmb.loadmoduleP\x01ZQgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/loadmodule\xaa\x02\x12openfmb.loadmoduleb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'loadmodule.loadmodule_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\022openfmb.loadmoduleP\001ZQgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/loadmodule\252\002\022openfmb.loadmodule'
  _LOADPOINT.fields_by_name['startTime']._options = None
  _LOADPOINT.fields_by_name['startTime']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADCSG.fields_by_name['crvPts']._options = None
  _LOADCSG.fields_by_name['crvPts']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._options = None
  _LOADCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADCONTROLFSCC.fields_by_name['controlFSCC']._options = None
  _LOADCONTROLFSCC.fields_by_name['controlFSCC']._serialized_options = b'\200\265\030\001'
  _LOADCONTROL.fields_by_name['controlValue']._options = None
  _LOADCONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _LOADCONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _LOADCONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _LOADCONTROLPROFILE.fields_by_name['energyConsumer']._options = None
  _LOADCONTROLPROFILE.fields_by_name['energyConsumer']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADCONTROLPROFILE.fields_by_name['loadControl']._options = None
  _LOADCONTROLPROFILE.fields_by_name['loadControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADCONTROLPROFILE._options = None
  _LOADCONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _LOADEVENTANDSTATUSZGLD.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _LOADEVENTANDSTATUSZGLD.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _LOADEVENTZGLD.fields_by_name['loadEventAndStatusZGLD']._options = None
  _LOADEVENTZGLD.fields_by_name['loadEventAndStatusZGLD']._serialized_options = b'\200\265\030\001'
  _LOADEVENT.fields_by_name['eventValue']._options = None
  _LOADEVENT.fields_by_name['eventValue']._serialized_options = b'\200\265\030\001'
  _LOADEVENTPROFILE.fields_by_name['eventMessageInfo']._options = None
  _LOADEVENTPROFILE.fields_by_name['eventMessageInfo']._serialized_options = b'\200\265\030\001'
  _LOADEVENTPROFILE.fields_by_name['energyConsumer']._options = None
  _LOADEVENTPROFILE.fields_by_name['energyConsumer']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADEVENTPROFILE.fields_by_name['loadEvent']._options = None
  _LOADEVENTPROFILE.fields_by_name['loadEvent']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADEVENTPROFILE._options = None
  _LOADEVENTPROFILE._serialized_options = b'\300\363\030\001'
  _LOADREADING.fields_by_name['conductingEquipmentTerminalReading']._options = None
  _LOADREADING.fields_by_name['conductingEquipmentTerminalReading']._serialized_options = b'\200\265\030\001'
  _LOADREADINGPROFILE.fields_by_name['readingMessageInfo']._options = None
  _LOADREADINGPROFILE.fields_by_name['readingMessageInfo']._serialized_options = b'\200\265\030\001'
  _LOADREADINGPROFILE.fields_by_name['energyConsumer']._options = None
  _LOADREADINGPROFILE.fields_by_name['energyConsumer']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADREADINGPROFILE.fields_by_name['loadReading']._options = None
  _LOADREADINGPROFILE.fields_by_name['loadReading']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADREADINGPROFILE._options = None
  _LOADREADINGPROFILE._serialized_options = b'\300\363\030\001'
  _LOADSTATUSZGLD.fields_by_name['loadEventAndStatusZGLD']._options = None
  _LOADSTATUSZGLD.fields_by_name['loadEventAndStatusZGLD']._serialized_options = b'\200\265\030\001'
  _LOADSTATUS.fields_by_name['statusValue']._options = None
  _LOADSTATUS.fields_by_name['statusValue']._serialized_options = b'\200\265\030\001'
  _LOADSTATUSPROFILE.fields_by_name['statusMessageInfo']._options = None
  _LOADSTATUSPROFILE.fields_by_name['statusMessageInfo']._serialized_options = b'\200\265\030\001'
  _LOADSTATUSPROFILE.fields_by_name['energyConsumer']._options = None
  _LOADSTATUSPROFILE.fields_by_name['energyConsumer']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADSTATUSPROFILE.fields_by_name['loadStatus']._options = None
  _LOADSTATUSPROFILE.fields_by_name['loadStatus']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _LOADSTATUSPROFILE._options = None
  _LOADSTATUSPROFILE._serialized_options = b'\300\363\030\001'
  _globals['_LOADPOINT']._serialized_start=120
  _globals['_LOADPOINT']._serialized_end=445
  _globals['_LOADCSG']._serialized_start=447
  _globals['_LOADCSG']._serialized_end=505
  _globals['_LOADCONTROLSCHEDULEFSCH']._serialized_start=507
  _globals['_LOADCONTROLSCHEDULEFSCH']._serialized_end=580
  _globals['_LOADCONTROLFSCC']._serialized_start=583
  _globals['_LOADCONTROLFSCC']._serialized_end=724
  _globals['_LOADCONTROL']._serialized_start=727
  _globals['_LOADCONTROL']._serialized_end=896
  _globals['_LOADCONTROLPROFILE']._serialized_start=899
  _globals['_LOADCONTROLPROFILE']._serialized_end=1113
  _globals['_LOADPOINTSTATUS']._serialized_start=1116
  _globals['_LOADPOINTSTATUS']._serialized_end=1383
  _globals['_LOADEVENTANDSTATUSZGLD']._serialized_start=1386
  _globals['_LOADEVENTANDSTATUSZGLD']._serialized_end=1646
  _globals['_LOADEVENTZGLD']._serialized_start=1648
  _globals['_LOADEVENTZGLD']._serialized_end=1737
  _globals['_LOADEVENT']._serialized_start=1739
  _globals['_LOADEVENT']._serialized_end=1852
  _globals['_LOADEVENTPROFILE']._serialized_start=1855
  _globals['_LOADEVENTPROFILE']._serialized_end=2059
  _globals['_LOADREADING']._serialized_start=2062
  _globals['_LOADREADING']._serialized_end=2315
  _globals['_LOADREADINGPROFILE']._serialized_start=2318
  _globals['_LOADREADINGPROFILE']._serialized_end=2532
  _globals['_LOADSTATUSZGLD']._serialized_start=2534
  _globals['_LOADSTATUSZGLD']._serialized_end=2624
  _globals['_LOADSTATUS']._serialized_start=2627
  _globals['_LOADSTATUS']._serialized_end=2799
  _globals['_LOADSTATUSPROFILE']._serialized_start=2802
  _globals['_LOADSTATUSPROFILE']._serialized_end=3011
# @@protoc_insertion_point(module_scope)
